
/*
 * Copyright (c) 2013 Cisco Systems, Inc. and others.  All rights reserved.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v1.0 which accompanies this distribution,
 * and is available at http://www.eclipse.org/legal/epl-v10.html
 */

/**
 * @file   IClusterGlobalServices.java
 *
 * @brief  : Set of services an application will expect from the
 * clustering services provider. This interface is supposed to have
 * Global scope
 *
 * Contract between the applications and the clustering service
 * providers. Global version
 */

package org.opendaylight.controller.clustering.services;

/**
 * Set of services an application will expect from the clustering services
 * provider. This interface is supposed to have Global scope
 *
 */
public interface IClusterGlobalServices extends IClusterServicesCommon {
    public void removeContainerCaches(String containerName);
}
